org.apache.ode.jbi.osgi.deployer

## Class OdeExtenderImpl

- java.lang.Object
- - org.apache.ode.jbi.osgi.deployer.OdeExtenderImpl

- All Implemented Interfaces:
    OdeExtender, org.springframework.beans.factory.DisposableBean, org.springframework.beans.factory.InitializingBean, org.springframework.osgi.context.BundleContextAware

      public class OdeExtenderImpl
      extends java.lang.Object
      implements OdeExtender, org.springframework.beans.factory.InitializingBean, org.springframework.beans.factory.DisposableBean, org.springframework.osgi.context.BundleContextAware

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OdeExtenderImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterPropertiesSet()`
    `void` | `destroy()`
    `org.osgi.framework.Bundle[]` | `getBundles()`
    `javax.jbi.component.Component` | `getOdeComponent()`
    `void` | `setBundleContext(org.osgi.framework.BundleContext bundleContext)`
    `void` | `setOdeComponent(javax.jbi.component.Component odeComponent)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OdeExtenderImpl

          public OdeExtenderImpl()

  - ### Method Detail

    - #### setBundleContext

          public void setBundleContext(org.osgi.framework.BundleContext bundleContext)

      Specified by:
        `setBundleContext` in interface `org.springframework.osgi.context.BundleContextAware`

    - #### afterPropertiesSet

          public void afterPropertiesSet()
                                  throws java.lang.Exception

      Specified by:
        `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`
      Throws:
        `java.lang.Exception`

    - #### destroy

          public void destroy()
                       throws java.lang.Exception

      Specified by:
        `destroy` in interface `org.springframework.beans.factory.DisposableBean`
      Throws:
        `java.lang.Exception`

    - #### getBundles

          public org.osgi.framework.Bundle[] getBundles()

      Specified by:
        `getBundles` in interface `OdeExtender`

    - #### setOdeComponent

          public void setOdeComponent(javax.jbi.component.Component odeComponent)

    - #### getOdeComponent

          public javax.jbi.component.Component getOdeComponent()